Show / Hide Table of Contents

# Class DataCacheValueNullError

This exception is thrown when a null value is provided for a data cache or it does not implement the expected type.

##### Inheritance

System.Object
System.Exception
IpcError
DataCacheValueNullError

##### Implements

System.Runtime.Serialization.ISerializable

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.ToString()
System.Exception.Data
System.Exception.HelpLink
System.Exception.HResult
System.Exception.InnerException
System.Exception.Message
System.Exception.Source
System.Exception.StackTrace
System.Exception.TargetSite
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Plugin.Ipc.Exceptions

###### Assembly: Dalamud.dll

##### Syntax

    public class DataCacheValueNullError : IpcError, ISerializable

### Constructors

| Improve this Doc View Source

#### DataCacheValueNullError(String, Type)

Initializes a new instance of the DataCacheValueNullError class.

##### Declaration

    public DataCacheValueNullError(string tag, Type expectedType)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | tag | Tag of the data cache.
System.Type | expectedType | The type expected.

### Implements

System.Runtime.Serialization.ISerializable